class BackgroundSprite extends Sprite {
    constructor(image, x = 0, y = 0, width, height) {
        super(x, y, width, height);
        this.image = new Image();
        this.image.src = image;
    }

    update() {
        return false; // static background
    }

    draw(ctx) {
        if (this.visible && this.image.complete) {
            ctx.drawImage(this.image, this.x, this.y, this.width, this.height);
        }
    }
}
